gtkmm: Gtk::RecentManagerError Class Reference

gtkmm 4.8.0

Public Types | Public Member Functions | List of all members
Gtk::RecentManagerError Class Reference

Exception class for Gtk::RecentManager errors. More...

`#include <gtkmm/recentmanager.h>`

Inheritance diagram for Gtk::RecentManagerError:
[legend]

## Public Types
enum | Code { NOT_FOUND , INVALID_URI , INVALID_ENCODING , NOT_REGISTERED , READ , WRITE , UNKNOWN }
| Error codes for `Gtk::RecentManager` operations More...

## Public Member Functions
| RecentManagerError (Code error_code, const Glib::ustring & error_message)
| RecentManagerError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
virtual const char * | what () const noexcept

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gtk::RecentManager errors.

## Member Enumeration Documentation

## ◆ Code

enum Gtk::RecentManagerError::Code

Error codes for `Gtk::RecentManager` operations

Enumerator
NOT_FOUND | The URI specified does not exists in the recently used resources list.
INVALID_URI | The URI specified is not valid.
INVALID_ENCODING | The supplied string is not UTF-8 encoded.
NOT_REGISTERED | No application has registered the specified item.
READ | Failure while reading the recently used resources file.
WRITE | Failure while writing the recently used resources file.
UNKNOWN | Unspecified error.

## Constructor & Destructor Documentation

## ◆ RecentManagerError() [1/2]

Gtk::RecentManagerError::RecentManagerError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ RecentManagerError() [2/2]

Gtk::RecentManagerError::RecentManagerError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gtk::RecentManagerError::code | ( |  | ) | const